#define INTTIME		(XTAL / 8 / 256)	// interrupt time

#define KEY_PIN		PINB
#define KEY0		0
#define KEY1		1

#define REPEAT_MASK	(1<<KEY0^1<<KEY1)	// repeat: key1, key2
#define REPEAT_START	(500/6)		// after 500ms
#define REPEAT_NEXT	(200/6)		// every 200ms


extern u8 key_state;			// debounced and inverted key state:
					// bit = 1: key pressed
extern u8 key_press;			// key press detect
extern u8 key_rpt;			// key long press and repeat

extern u8 digit[];

extern u16 sec_timer;
extern u8 one_second;			// flag one second over
